Bug 1255682 - ppc/aarch64/s390 don't have luajit, it seems texlive 2015 depends on it
ppc/aarch64/s390 don't have luajit, it seems texlive 2015 depends on it
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker PPCTracker ARM64/F-ExcludeArch-aarch64
  Show dependency treegraph
 
Reported: 2015-08-21 06:27 EDT by Peter Robinson
Modified: 2015-08-27 05:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-27 04:39:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2015-08-21 06:27:35 EDT
None of the secondary arches currently has support for luajit so we generally fail back to traditional lua, it seems texlive 2015 has an explicit dep on luajit

configure: error: Sorry, can not preprocess <lj_arch.h>
=== configuring in luajit failed
Makefile:861: recipe for target 'recurse' failed
make[2]: Leaving directory '/builddir/build/BUILD/texlive-2015/source/work/libs'
make[2]: *** [recurse] Error 1
make[1]: *** [all-recursive] Error 1
Makefile:441: recipe for target 'all-recursive' failed
make[1]: Leaving directory '/builddir/build/BUILD/texlive-2015/source/work/libs'
Makefile:532: recipe for target 'all-recursive' failed
make: *** [all-recursive] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.drZp3l (%build)
    Bad exit status from /var/tmp/rpm-tmp.drZp3l (%build)
RPM build errors:

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=3132103
Comment 1 Yaakov Selkowitz 2015-08-25 18:49:43 EDT
This appears to be a rehash of bug 1070380.  --disable-luajittex needs to be added to configure %ifnarch %{arm} %{ix86} x86_64, and the relevant %files conditional on %ifarch the same.
Comment 2 Ngo Than 2015-08-27 04:39:00 EDT
it's fixed in texlive-2015-4.20150728_r37987.fc24

http://koji.fedoraproject.org/koji/buildinfo?buildID=680545
Comment 3 Yaakov Selkowitz 2015-08-27 05:10:56 EDT
Instead of focusing on those arches for which luajit is not available, you may wish to make these %ifarch/%ifnarch those which it actually *is* (IOW %{arm} %{ix86} x86_64).  Not only are they fewer, but that avoids having to make YA change in the future for new arches (e.g. mipsel/mips64el, currently at stage 4).

Note You need to log in before you can comment on or make changes to this bug.